[Bridge] Re: LSM hooks for bridge module.

Chris Wright chrisw at osdl.org
Tue Jan 4 17:50:00 PST 2005


[bridge list Cc:'d]

* Syed Ahemed (kingkhan at gmail.com) wrote:
> Hi 
> The LSM patch  patch-2.5.72-lsm1.gz does not apply security hooks to
> net/bridge/br_stp_bpdu.c
> Has there been an effort to include security hooks at this level.

No, I don't recall LSM code in any form ever touching bridge code.
Would the ebtables code be useful for you?  (And as a side note, 2.5.72
is an ancient kernel, you should really work against something newer if
at all possible).

> I have a requirement that the STP requirement needs to check for DOS
> BPDU's affecting the linux bridge running 2.4.28 or 2.5.72.
> Please correct if am offtopic and sense.

I'm not sure if/how LSM would help you here.  I'm no spanning
tree protocol expert, perhaps the bridge developers could help you
(bridge at osdl.org Cc:'d).  I suspect this may be the wrong list.

thanks,
-chris
-- 
Linux Security Modules     http://lsm.immunix.org     http://lsm.bkbits.net



More information about the Bridge mailing list